POST create responses should be 201
Priority: Normal   

Assignee: Alon Goldboim   

Category: API   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

All api/v2 create responses are 200, with the except of interfaces.

However, the RFC specifies that when a resource is created, the server should return a 201 code, and a Location header with the

location of the newly created resource.

process_success in base_controller needs to be changed to match the RFC.

Related issues:

Related to Foreman - Bug #10356: POST and PUT should use RABL templates for t... Closed 05/04/2015

Copied to Foreman - Bug #11100: POST create responses should contain Location... New 08/01/2014

History

#1 - 07/09/2015 06:17 AM - Alon Goldboim

- Related to Bug #10356: POST and PUT should use RABL templates for the response. added

#2 - 07/13/2015 07:38 AM - Dominic Cleal

- Status changed from New to Closed

- Assignee set to Alon Goldboim

- % Done changed from 0 to 100

- translation missing: en.field_release set to 63

Fixed via #10356.

#3 - 07/13/2015 07:39 AM - Dominic Cleal

- Copied to Bug #11100: POST create responses should contain Location header of new resource added
